Subject: Re: [Lsr] Questions about draft-ietf-lsr-flex-algo-06

From: Peter Psenak <[email-masked]>
Date: Mon, 2 Mar 2020 10:14:47 +0100

Hi Peng,

On 29/02/2020 07:41, [email-masked] wrote:
> 
> Hi Peter
> 
> 
> Please see the difference rules of TE metric in Flex-algo draft and RFC5305.
> 
> For  the link without TE metric attribute, in Flex-algo draft it will be 
> excluded from FA plane that configured TE metric type, but in RFC5305 
> the IGP metric of the link can be as replacement.
> 
> Please see if they can be consistent ?

no, we do not want to fallback from one metric to other in case of 
flex-algo. RFC5305 is irrelevant in this case, as flex-algo is a 
completely different application.

thanks,
Peter
> 
> 
> Flex-algo draft:
> 
> section 12.  Calculation of Flexible Algorithm Paths
> 
> Rule-5:
> 
>   5.  If the Flex-Algorithm definition uses other than IGP metric
> 
>        (Section 5), and such metric is not advertised for the particular
> 
>        link in a topology for which the computation is done, such link
> 
>        MUST be pruned from the computation.  A metric of value 0 MUST NOT
> 
>        be assumed in such case.
> 
> 
> 
> RFC5305:
> 
> section 3.7.  Sub-TLV 18: Traffic Engineering Default Metric
> 
> This sub-TLV is optional.  This sub-TLV SHOULD appear once at most in
> 
>     each extended IS reachability TLV.  If a link is advertised without
> 
>     this sub-TLV, traffic engineering SPF calculations MUST use the
> 
>     normal default metric of this link, which is advertised in the fixed
> 
>     part of the extended IS reachability TLV.
> 
> 
> 
>

---

From: <[email-masked]>
Date: Mon, 2 Mar 2020 18:51:44 +0800 (CST)

Hi Peter,

Thanks very much for your reply, I get it.

原始邮件

发件人：PeterPsenak <[email-masked]>
收件人：彭少富10053815;
抄送人：[email-masked] <[email-masked]>;
日 期 ：2020年03月02日 17:14
主 题 ：Re: Questions about draft-ietf-lsr-flex-algo-06

Hi Peng,

thanks,
Peter